{
Copyright () 2005,  by Germn Estvez (Neftal)
http://neftali.clubdelphi.com/

  Muestra como hacer una busqueda sencilla modificando la consulta SQL para
  aadirle la parte del Where.

=========================================================================
IMPORTANTE PROGRAMADORES: Por favor, si tienes comentarios, mejoras, ampliaciones,
  errores y/o cualquier otro tipo de sugerencia envame un mail a:
  german_ral@hotmail.com

IMPORTANT PROGRAMMERS: please, if you have comments, improvements, enlargements,
errors and/or any another type of suggestion send a mail to:
german_ral@hotmail.com
=========================================================================

@author Germn Estvez (Neftal)
@cat Samples
}
unit Unit2;

//=========================================================================
//
// I N T E R F A C E
//
//=========================================================================
interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, DBTables, Grids, DBGrids, ExtCtrls, StdCtrls, Buttons;

type
  TForm2 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Query1: TQuery;
    Label1: TLabel;
    Edit1: TEdit;
    BitBtn1: TBitBtn;
    PanelSQL: TPanel;
    Splitter1: TSplitter;
    Memo1: TMemo;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

//=========================================================================
//
// I M P L E M E N T A T I O N
//
//=========================================================================
implementation

{$R *.dfm}


procedure TForm2.BitBtn1Click(Sender: TObject);
const
 // suponiendo que esta sea tu consulta
 STRSQL = 'select * from biolife ';
 STRORDER = ' ORDER BY common_name';
begin

   Query1.Close;

   // Est vaco
   if (Edit1.Text = '') then begin
     Query1.SQL.Text := STRSQL;

   end
   else begin
     // montamos la sql
     Query1.SQL.Text := STRSQL +
        // Aadimos el WHER
        ' WHERE Upper(common_name) LIKE Upper(' + QuotedStr('%' + Edit1.Text + '%') + ')' +
        // Aadimos el orden
        STRORDER;
   end;

   Memo1.Lines.AddStrings(Query1.SQL);
   Query1.Open;

end;

procedure TForm2.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  action := caFree;
end;

end.
